import React,{Component} from 'react'

export default class Page extends Component{

    constructor(props)
    {
        super(props)
        
    }
    
    componentWillMount()
    {
        
    }

    componentDidMount()
    {
        const {getInstance}= this.props
        if(typeof getInstance === 'function') {
            getInstance(this); // 在这里把this暴露给`parentComponent`
        }
    }
    

    //一般在装载事件里面调用
    loadDisplay(){
        
        if(this.props.display)
		{
            this.model.loadDisplay(this.props.smodel,this.props.changes)
            return true
        }
        return false
    }
    
    render(){

        return (
            <React.Fragment>
            {
            this.pageHide?
            <div style={{height:'100%',width:'100%',position:'absolute',zIndex:999,opacity:1,cursor:'grab'}}>
                
            </div>
            :null
            }
            {
                this.renderPage && this.renderPage()
            }
            
            </React.Fragment>
        )
    }


}